Name: libcdatetime
Version: 20240104
Release: 1
Summary: Library to support cross-platform C date and time functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcdatetime
 
BuildRequires: gcc 

%description -n libcdatetime
Library to support cross-platform C date and time functions

%package -n libcdatetime-static
Summary: Library to support cross-platform C date and time functions
Group: Development/Libraries
Requires: libcdatetime = %{version}-%{release}

%description -n libcdatetime-static
Static library version of libcdatetime.

%package -n libcdatetime-devel
Summary: Header files and libraries for developing applications for libcdatetime
Group: Development/Libraries
Requires: libcdatetime = %{version}-%{release}

%description -n libcdatetime-devel
Header files and libraries for developing applications for libcdatetime.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcdatetime
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libcdatetime-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libcdatetime-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdatetime.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Thu Jan  4 2024 Joachim Metz <joachim.metz@gmail.com> 20240104-1
- Auto-generated

